petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexDistributeData

Distribute field data to match a given PetscSF, usually the SF from mesh distribution

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributeData(DM dm, PetscSF pointSF, PetscSection originalSection, MPI_Datatype datatype, void *originalData, PetscSection newSection, void **newData)

Collective on DM Many br

### Input Parameters

| dm | - The DMPlex object Many br
| pointSF | - The PetscSF describing the communication pattern Many br
| originalSection | - The PetscSection for existing data layout Many br
| datatype | - The type of data Many br
| originalData | - The existing data Many br

### Output Parameters

| newSection | - The PetscSection describing the new data layout Many br
| newData | - The new data Many br

Many br

### See Also

DMPlexDistribute(), DMPlexDistributeField()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages